void ES1_4560()
{

	/* accessible sRatio in simulated beams - (0.05,0.15)
	 *
	 *
	 */

	const Bool_t saveHists = 0;
//	const Bool_t saveHists = 1;

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(45, 60);

//	ana.SetFigures("figures/4560/", ".eps");

//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();

	Bool_t epsilonT[6] = {0,0,0,0,1};
	Bool_t cosThetaT[6] = {0,0,0,0,1};
	Bool_t epsilonY[6] = {0,0,1,0,0};
	Bool_t cosThetaY[6] = {0,0,1,0,0};
	Bool_t thetaAT[6] = {0,0,1,1,0};

	TString simEt[5] = {"", "f6BeIM>1.6 && f6BeIM<2.1", "", "", ""};
//	TString simEt[5];
	ana.SetSimCuts(simEt);


//	ana.SetNoBinsSpectra(50);
	ana.SetSpectraRange(0., 10.);
//	ana.SetSpectra();
//	ana.SetEpsilonTintervals(epsilonT);
//	ana.SetEpsilonTintervals();
//	ana.SetCosThetaTkIntervals(cosThetaT);
//	ana.SetCosThetaTkIntervals();
//	ana.SetEpsilonYintervals(epsilonY);
//	ana.SetEpsilonYintervals();
//	ana.SetCosThetaYkIntervals(cosThetaY);
//	ana.SetCosThetaYkIntervals();
	ana.SetThetaATintervals(thetaAT);
//	ana.SetThetaATintervals();



	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {3150000, 3150000, 3150000, 3150000, 3150000, /*1115000*/ 3150000};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEvents[6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
	Int_t upSimFile[6] = {15, 15, 15, 15, 15, 15};
	ana.SetNoSimFiles(lowSimFile, upSimFile);

	ana.SetSimChains("../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_0_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_0_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_180_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_180_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_90_35-70_",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_90_35-70_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_0_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_0_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_180_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_180_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_al_90_35-70_000.root",
					"../../../be/rootdata/correlations/v5_4560/Sim_mix_br_noal_90_35-70_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();


	ana.SetRatiosGStoEX("sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095",
			"sRatio>0.05 && sRatio<0.095");
//			"sRatio>0.1 && sRatio<0.115");

//	ana.SetRatiosGStoEX("sRatio>0.051 && sRatio<0.101",
//			"sRatio>0.050 && sRatio<0.100",
//			"sRatio>0.047 && sRatio<0.097",
//			"sRatio>0.048 && sRatio<0.098",
//			"sRatio>0.051 && sRatio<0.101",
//			"sRatio>0.051 && sRatio<0.101");
//	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {2900000, 2900000, 2900000, 2900000, 2900000, 2900000,
//										3400000, 3400000, 3400000, 3500000, 3400000, 3400000,
										2100000, 2100000, 2100000, 2100000, 2100000, 2100000,
										2400000, 2400000, 2400000, 2400000, 2400000, 2400000,
										2900000, 3000000, 2900000, 3000000, 2900000, 3000000,
										3200000, 3300000, 3300000, 3400000, 3300000, 3400000};
	ana.ExpEventsECuts(eEventsECuts);

	Long64_t sEventsECuts[5][6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
	ana.SimEventsECuts(sEventsECuts);

	ana.SetRangeProportion(1.1, 1);

	///////////////////////////////////////////////////////////////////////////////////

	ana.Spectra();
	sw.Print();
	sw.Continue();

//	return;

//	ana.SaveSpectrumHist(0, "figures/spectra1MeV.root");
//	ana.SaveSpectrumHist(0, "figures/spectra15MeV.root");

	ana.EpsilonT();

	sw.Print();
	sw.Continue();

	ana.CosThetaTk();

	sw.Print();
	sw.Continue();

	ana.EpsilonY();

	sw.Print();
	sw.Continue();

	ana.CosThetaYk();

	sw.Print();
	sw.Continue();

	ana.ThetaAT();

	sw.Print();
	sw.Continue();

	if (saveHists) {
//		ana.SaveSpectrumHist(5);
//		ana.SaveEpsilonTHist(0, 0);
//		ana.SaveEpsilonTHist(1, 2);
//		ana.SaveEpsilonTHist(3, 5);
//		ana.SaveCosThetaTHist(0, 3);


		for (Int_t i = 0; i < 6; i++) {
			ana.SaveThetaAHist(2, i, "figures/BestFit4560.root");
			ana.SaveThetaAHist(3, i, "figures/BestFit4560.root");
		}
	}


	Info("ES1_4560.cxx", "Finished.");

	return;

}


