void ES1_6075()
{

	const Bool_t saveHists = 0;
//	const Bool_t saveHists = 1;

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(60, 75);

//	ana.SetFigures("figures/6075/", ".eps");

//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();


	Bool_t epsilonT[6] = {0,0,0,0,1};
	Bool_t cosThetaT[6] = {0,0,0,0,1};
	Bool_t epsilonY[6] = {0,0,0,0,1};
	Bool_t cosThetaY[6] = {0,0,0,0,1};
	Bool_t thetaAT[6] = {0,0,1,1,0};

	TString simEt[5] = {"", "f6BeIM>1.5 && f6BeIM<2.0", "", "f6BeIM>2.4 && f6BeIM<3.1", ""};
	TString inEt[5] = {"", "E_IM>1.5 && E_IM<2.0", "", "E_IM>2.4 && E_IM<3.1", ""};
	ana.SetSimCuts(simEt);
	ana.SetInputCuts(inEt);

//	ana.SetNoBinsSpectra(50);
	ana.SetSpectraRange(0., 10.);
//	ana.SetSpectra();
//	ana.SetEpsilonTintervals(epsilonT);
//	ana.SetEpsilonTintervals();
//	ana.SetCosThetaTkIntervals(cosThetaT);
//	ana.SetCosThetaTkIntervals();
//	ana.SetEpsilonYintervals(epsilonY);
//	ana.SetEpsilonYintervals();
//	ana.SetCosThetaYkIntervals(cosThetaY);
//	ana.SetCosThetaYkIntervals();
	ana.SetThetaATintervals(thetaAT);
//	ana.SetThetaATintervals();

//	ana.SetNoBinsSpectra(200);

	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
//	Long64_t sEvents[6] = {sMaxEvents, 2700000, sMaxEvents, 2700000, 2690000, 2710000};
	//used for PRC:
	Long64_t sEvents[6] = {sMaxEvents, 2600000, sMaxEvents, 2600000, 2690000, 2600000};
//	Long64_t sEvents[6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
	Int_t upSimFile[6] = {14, 14, 14, 14, 14, 14};
	ana.SetNoSimFiles(lowSimFile, upSimFile);
	ana.SetSimChains("../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_0_50-85_",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_0_50-85_",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_180_50-85_",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_180_50-85_",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_90_50-85_",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_90_50-85_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_0_50-85_000.root",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_0_50-85_000.root",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_180_50-85_000.root",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_180_50-85_000.root",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_90_50-85_000.root",
					"../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_90_50-85_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();

	ana.SetRatiosGStoEX("sRatio>0.060 && sRatio<0.110",
			"sRatio>0.060 && sRatio<0.110",
			"sRatio>0.060 && sRatio<0.110",
			"sRatio>0.060 && sRatio<0.110",
			"sRatio>0.060 && sRatio<0.110",
			"sRatio>0.060 && sRatio<0.110");
//	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {3950000, 3950000, 3800000, 3850000, 3950000, 3900000,
//									eMaxEvents, eMaxEvents, 4100000, eMaxEvents, eMaxEvents, eMaxEvents,
									3500000, 3500000, 3500000, 3500000, 3500000, 3500000,
									3050000, 3150000, 3200000, 3200000, 3250000, 3350000,
//									3850000, 3950000, 3900000, 3900000, 4000000, 4000000,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									4100000, 4100000, 4000000, 4100000, eMaxEvents, eMaxEvents};
	ana.ExpEventsECuts(eEventsECuts);

	Long64_t sEventsECuts[5][6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
//										sMaxEvents, 2630000, sMaxEvents, sMaxEvents, 2660000, 2660000,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, 2660000, 2660000,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
//										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
										2500000, 2500000, 2500000, 2500000, 2500000, 2500000,
										sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};
	ana.SimEventsECuts(sEventsECuts);

	ana.SetRangeProportion(1.1, 1);

	///////////////////////////////////////////////////////////////////////////////////

	ana.Spectra();
	sw.Print();
	sw.Continue();
//	ana.SaveSpectrumHist(0, "figures/spectraDiff.root");

//	ana.SaveSpectrumHist(0, "figures/spectra1MeV.root");
//	ana.SaveSpectrumHist(0, "figures/spectra15MeV.root");

	ana.EpsilonT();

	sw.Print();
	sw.Continue();

	ana.CosThetaTk();

	sw.Print();
	sw.Continue();

	ana.EpsilonY();

	sw.Print();
	sw.Continue();

	ana.CosThetaYk();

	sw.Print();
	sw.Continue();

	ana.ThetaAT();

	sw.Print();
	sw.Continue();

	if (saveHists) {
//		ana.SaveSpectrumHist(2);
//		ana.SaveEpsilonTHist(0, 5);
//		ana.SaveEpsilonTHist(1, 2);
//		ana.SaveEpsilonTHist(3, 5);

		for (Int_t i = 0; i < 6; i++) {
//			ana.SaveEpsilonTHist(1, i);
//			ana.SaveEpsilonTHist(3, i);

			ana.SaveThetaAHist(2, i, "figures/BestFit6075.root");
			ana.SaveThetaAHist(3, i, "figures/BestFit6075.root");
		}


	}

	Info("ES1_6075.cxx", "Finished.");

	return;

}


