void ES1_7590()
{

	const Bool_t saveHists = 0;
//	const Bool_t saveHists = 1;

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(75, 90);

//	ana.SetFigures("figures/7590/", ".eps");

//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();
	Bool_t epsilonT[6] = {0,0,1,0,1};
	Bool_t cosThetaT[6] = {1,1,1,1,1};
	Bool_t epsilonY[6] = {0,0,0,0,0};
	Bool_t cosThetaY[6] = {0,0,0,0,0};
	Bool_t thetaAT[6] = {0,0,1,0,0};

	TString simEt[5] = {"", "f6BeIM>1.5 && f6BeIM<2.0", "", "", ""};
	ana.SetSimCuts(simEt);

//	ana.SetNoBinsSpectra(50);
	ana.SetSpectraRange(0., 10.);
//	ana.SetSpectra();
//	ana.SetEpsilonTintervals(epsilonT);
//	ana.SetEpsilonTintervals();
//	ana.SetCosThetaTkIntervals(cosThetaT);
//	ana.SetCosThetaTkIntervals();
//	ana.SetEpsilonYintervals(epsilonY);
//	ana.SetEpsilonYintervals();
//	ana.SetCosThetaYkIntervals(cosThetaY);
//	ana.SetCosThetaYkIntervals();
	ana.SetThetaATintervals(thetaAT);
//	ana.SetThetaATintervals();

	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
//	Long64_t sEvents[6] = {2050000, 2050000, 2050000, 2050000, 1900000, 1950000};
	Long64_t sEvents[6] = {2050000, 2050000, 2050000, 2050000, 2050000, 2050000};
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
//	Int_t upSimFile[6] = {5, 5, 5, 5, 5, 5};
	Int_t upSimFile[6] = {12, 12, 12, 12, 12, 12};
	ana.SetNoSimFiles(lowSimFile, upSimFile);
	ana.SetSimChains("../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_0_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_0_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_180_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_180_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_90_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_90_65-100_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_0_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_0_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_180_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_180_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_90_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_90_65-100_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();


	ana.SetRatiosGStoEX("sRatio>0.080 && sRatio<0.130",
						"sRatio>0.080 && sRatio<0.130",
//						"sRatio>0.070 && sRatio<0.120",
//						"sRatio>0.070 && sRatio<0.120",
						"sRatio>0.080 && sRatio<0.130",
						"sRatio>0.080 && sRatio<0.130",
						"sRatio>0.080 && sRatio<0.130",
						"sRatio>0.080 && sRatio<0.130");
//	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.ExpEventsECuts(eEventsECuts);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEventsECuts[5][6] = {2020000, 2040000, 2130000, 2080000, 2060000, 2080000,
									2220000, 2240000, 2240000, 2280000, 2210000, 2210000,
//									2300000, 2300000, 2300000, 2300000, 2300000, 2300000,
									2320000, 2300000, 2340000, 2310000, 2300000, 2290000,
//									2060000, 2070000, 2110000, 2110000, 2070000, 2060000,
									2050000, 2050000, 2050000, 2050000, 2050000, 2050000,
									2050000, 2050000, 2110000, 2110000, 2050000, 2050000};
	ana.SimEventsECuts(sEventsECuts);

	ana.SetRangeProportion(1.1, 1);

/////////////////////////////////////////////////////////////////////////////////

	ana.Spectra();
	sw.Print();
	sw.Continue();

//	ana.SaveSpectrumHist(0, "figures/spectra1MeV.root");
//	ana.SaveSpectrumHist(0, "figures/spectra15MeV.root");

	ana.EpsilonT();
	sw.Print();
	sw.Continue();

	ana.CosThetaTk();
	sw.Print();
	sw.Continue();

	ana.EpsilonY();
	sw.Print();
	sw.Continue();

	ana.CosThetaYk();
	sw.Print();
	sw.Continue();

	ana.ThetaAT();
	sw.Print();
	sw.Continue();

	for (Int_t i = 0; i < 6; i++) {
//		ana.SaveEpsilonTHist(1, i);
//		ana.SaveEpsilonTHist(3, i);
//
//		ana.SaveThetaAHist(1, i);
//		ana.SaveThetaAHist(4, i, "figures/PRCthetaARightES.root");
	}

	if (saveHists) {
//		ana.SaveSpectrumHist(2);
//		ana.SaveEpsilonTHist(0, 5);
//		ana.SaveCosThetaTHist(0, 0);
//		ana.SaveEpsilonYHist(0, 0);
//
//
		for (Int_t i = 0; i < 6; i++) {
//			ana.SaveEpsilonTHist(1, i);
//			ana.SaveEpsilonTHist(3, i);
//
//			ana.SaveThetaAHist(1, i);
			ana.SaveThetaAHist(2, i, "figures/BestFit7590.root");
//			ana.SaveThetaAHist(3, i);
		}

	}

	Info("ES1_7590.cxx", "Finished.");

}


