void ES1_90120()
{

	const Bool_t saveHists = 0;
//	const Bool_t saveHists = 1;

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(90, 120);

//	ana.SetFigures("figures/90120/", ".eps");

//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();
//	Bool_t epsilonT[6] = {1,1,0,1,0};
	Bool_t epsilonT[6] = {0,0,0,0,1};
	Bool_t cosThetaT[6] = {0,0,0,0,1};
	Bool_t epsilonY[6] = {0,0,1,0,0};
	Bool_t cosThetaY[6] = {0,0,1,0,0};
	Bool_t thetaAT[6] = {0,0,1,0,0};

	TString simEt[5] = {"", "f6BeIM>1.40 && f6BeIM<1.95", "", "", ""};
	ana.SetSimCuts(simEt);

//	ana.SetNoBinsSpectra(50);
	ana.SetSpectraRange(0., 10.);
//	ana.SetSpectra();
//	ana.SetEpsilonTintervals(epsilonT);
//		ana.SetEpsilonTintervals();
//	ana.SetCosThetaTkIntervals(cosThetaT);
//	ana.SetCosThetaTkIntervals();
//	ana.SetEpsilonYintervals(epsilonY);
//	ana.SetEpsilonYintervals();
//	ana.SetCosThetaYkIntervals(cosThetaY);
//	ana.SetCosThetaYkIntervals();
	ana.SetThetaATintervals(thetaAT);
//	ana.SetThetaATintervals();


	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEvents[6] = {2280000, 2290000, 2100000, 2300000, 2330000, 2300000};
//	Long64_t sEvents[6] = {2200000, 2200000, 2200000, 2200000, 2200000, 2200000};
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
	Int_t upSimFile[6] = {6, 6, 6, 6, 6, 6};
	ana.SetNoSimFiles(lowSimFile, upSimFile);
	ana.SetSimChains("../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_0_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_0_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_180_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_180_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_90_80-130_",
					"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_90_80-130_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_0_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_0_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_180_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_180_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_al_90_80-130_000.root",
						"../../../be/rootdata/correlations/v5_90120/Sim_mix_br_noal_90_80-130_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();


	ana.SetRatiosGStoEX("sRatio>0.115 && sRatio<0.165",
						"sRatio>0.115 && sRatio<0.165",
						"sRatio>0.115 && sRatio<0.165",
						"sRatio>0.115 && sRatio<0.165",
						"sRatio>0.115 && sRatio<0.165",
						"sRatio>0.115 && sRatio<0.165");
//	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.ExpEventsECuts(eEventsECuts);

	Long64_t sEventsECuts[5][6] = {2300000, 2310000, 2130000, 2330000, 2320000, 2310000,
//									2260000, 2270000, 2010000, 2280000, 2280000, 2280000,
									2280000, 2280000, 2280000, 2280000, 2280000, 2280000,
									sMaxEvents, sMaxEvents, 2290000, sMaxEvents, sMaxEvents, sMaxEvents,
//									3270000, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
									2260000, 2260000, 2260000, 2260000, 2260000, 2260000,
									2320000, 2330000, 2100000, 2340000, 2370000, 2340000};
	ana.SimEventsECuts(sEventsECuts);

	ana.SetRangeProportion(1.1, 1);

///////////////////////////////////////////////////////////////////////////////////

	ana.Spectra();
	sw.Print();
	sw.Continue();

//	ana.SaveSpectrumHist(0, "figures/spectra1MeV.root");
//	ana.SaveSpectrumHist(0, "figures/spectra15MeV.root");

	ana.EpsilonT();
	sw.Print();
	sw.Continue();

	ana.CosThetaTk();
	sw.Print();
	sw.Continue();

	ana.EpsilonY();
	sw.Print();
	sw.Continue();

	ana.CosThetaYk();
	sw.Print();
	sw.Continue();

	ana.ThetaAT();
	sw.Print();
	sw.Continue();

	if (saveHists) {
//		ana.SaveSpectrumHist(1);
//		ana.SaveEpsilonTHist(0, 0);
//		ana.SaveEpsilonTHist(1, 2);
//		ana.SaveEpsilonTHist(3, 5);
//
		for (Int_t i = 0; i < 6; i++) {
//			ana.SaveThetaAHist(3, i);
			ana.SaveThetaAHist(2, i, "figures/BestFit90120.root");
		}
	}

	Info("ES1_90120.cxx", "Finished.");

	return;

}


