//#include "TFile.h"
//#include "TCanvas.h"
//#include "TH1F.h"

void figCorrGS()
{

	TFile *fr1 = new TFile("figures/PRCepsilonT.root", "READ");
//	TFile *fr2 = new TFile("figures/PRCepsilonT.root", "READ");

	TH1F *hExp[4];
	TH1F *hSim[4];
	TH1F *hInput[4];

	TH1F *hCurr = 0;

	hCurr = (TH1F*)fr1->Get("heeT0_0_4560");
	hExp[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("heeT0_5_6075");
	hExp[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("heeT0_5_7590");
	hExp[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("heeT0_0_90120");
	hExp[3] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr1->Get("hseT0_0_4560");
	hSim[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hseT0_5_6075");
	hSim[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hseT0_5_7590");
	hSim[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hseT0_0_90120");
	hSim[3] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr1->Get("hieT0_0_4560");
	hInput[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hieT0_5_6075");
	hInput[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hieT0_5_7590");
	hInput[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hieT0_0_90120");
	hInput[3] = new TH1F(*hCurr);



	TCanvas *c1 = new TCanvas();
	c1->ToggleEditor();
//	c1->SetWindowSize(800, 1200);
	c1->SetWindowSize(800, 800);
	c1->Divide(2, 2, .001, .001);


	for (Int_t i = 0; i < 4; i++) {
		c1->cd(i+1);

//		cout << i << endl;

		hSim[i]->SetTitle("");
		hSim[i]->SetLineColor(kGray+1);
		hSim[i]->SetFillColor(kGray+1);
		hSim[i]->GetXaxis()->SetNdivisions(405);
		hSim[i]->GetYaxis()->SetTitle("");
		if (i == 0 || i == 1) {
			hSim[i]->GetYaxis()->SetNdivisions(1005);
		}
		hInput[i]->SetLineWidth(2);

		hSim[i]->Draw("");
		hExp[i]->Draw("E same");
		hInput[i]->Draw("same");
	}

//	c1->SaveAs("figures/GSepsilonT.eps");

//	return;

	TCanvas *c2 = new TCanvas();
	c2->ToggleEditor();
	c2->SetWindowSize(800, 427);
	c2->Divide(2, 1, .001, .001);

	TFile *fr3 = new TFile("figures/PRCepsilonY.root");
	TFile *fr4 = new TFile("figures/PRCcosThetaT.root");

	TH1F *hCorrExp[2];
	TH1F *hCorrSim[2];
	TH1F *hCorrInput[2];

	hCurr = (TH1F*)fr3->Get("heeY0_0");
	hCorrExp[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr4->Get("hecoskT0_0_7590");
	hCorrExp[1] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr3->Get("hseY0_0");
	hCorrSim[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr4->Get("hscoskT0_0_7590");
	hCorrSim[1] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr3->Get("hieY0_0");
	hCorrInput[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr4->Get("hicoskT0_0_7590");
	hCorrInput[1] = new TH1F(*hCurr);

	for (Int_t i = 0; i < 2; i++) {
		c2->cd(i+1);

		hCorrSim[i]->SetTitle("");
		hCorrSim[i]->SetLineColor(kGray+1);
		hCorrSim[i]->SetFillColor(kGray+1);
		hCorrSim[i]->GetXaxis()->SetNdivisions(505);
		hCorrSim[i]->GetYaxis()->SetTitle("");
		if (i == 1) {
			hCorrSim[i]->GetXaxis()->SetTitleSize(0.08);
			hCorrSim[i]->GetXaxis()->SetTitleOffset(0.73);
		}
		hCorrInput[i]->SetLineWidth(2);

		hCorrSim[i]->Draw("");
		hCorrExp[i]->Draw("E same");
		hCorrInput[i]->Draw("same");
	}

//	c2->SaveAs("figures/GSotherCorrs.eps");

}
