//#include "TFile.h"
//#include "TCanvas.h"
//#include "TH1F.h"

void figCorrRightGS()
{

	TFile *fr1 = new TFile("figures/PRCepsilonT.root", "READ");
//	TFile *fr2 = new TFile("figures/PRCepsilonT.root", "READ");

	TH1F *hExp[4];
	TH1F *hSim[4];
	TH1F *hInput[4];

	TH1F *hCurr = 0;

	hCurr = (TH1F*)fr1->Get("heeT1_2_4560");
	hExp[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("heeT1_2_6075");
	hExp[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("heeT1_2_7590");
	hExp[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("heeT1_2_90120");
	hExp[3] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr1->Get("hseT1_2_4560");
	hSim[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hseT1_2_6075");
	hSim[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hseT1_2_7590");
	hSim[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hseT1_2_90120");
	hSim[3] = new TH1F(*hCurr);

	hCurr = (TH1F*)fr1->Get("hieT1_2_4560");
	hInput[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hieT1_2_6075");
	hInput[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hieT1_2_7590");
	hInput[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr1->Get("hieT1_2_90120");
	hInput[3] = new TH1F(*hCurr);



	TCanvas *c1 = new TCanvas();
	c1->ToggleEditor();
//	c1->SetWindowSize(800, 1200);
	c1->SetWindowSize(800, 800);
	c1->Divide(2, 2, .001, .001);


	for (Int_t i = 0; i < 4; i++) {
		c1->cd(i+1);

//		cout << i << endl;

		hSim[i]->SetTitle("");
		hSim[i]->SetLineColor(kGray+1);
		hSim[i]->SetFillColor(kGray+1);
		hSim[i]->GetXaxis()->SetNdivisions(405);
		hSim[i]->GetYaxis()->SetTitle("");
		if (i == 0 || i == 1) {
//			hSim[i]->GetYaxis()->SetNdivisions(1005);
		}
		hInput[i]->SetLineWidth(2);

		hSim[i]->Draw("");
		hExp[i]->Draw("E same");
		hInput[i]->Draw("same");
	}

	c1->SaveAs("figures/GSepsilonTright.eps");

	TCanvas *c2 = new TCanvas();
	c2->ToggleEditor();
	c2->SetWindowSize(800, 1227);
	c2->Divide(2, 3, .001, .001);

//	TFile *fr3 = new TFile("figures/PRCepsilonY.root");

	TH1F *hCorrExp[6];
	TH1F *hCorrSim[6];
	TH1F *hCorrInput[6];

	TString hName;

	for (Int_t i = 0; i < 6; i++) {
		c2->cd(i+1);

		hName.Form("heeT1_%d_7590", i);
		hCurr = (TH1F*)fr1->Get(hName.Data());
		hCorrExp[i] = new TH1F(*hCurr);

		hName.Form("hseT1_%d_7590", i);
		hCurr = (TH1F*)fr1->Get(hName.Data());
		hCorrSim[i] = new TH1F(*hCurr);

		hName.Form("hieT1_%d_7590", i);
		hCurr = (TH1F*)fr1->Get(hName.Data());
		hCorrInput[i] = new TH1F(*hCurr);

		hCorrInput[i]->SetLineWidth(2);
		hCorrSim[i]->SetTitle("");
		hCorrSim[i]->GetXaxis()->SetNdivisions(505);

		hCorrSim[i]->GetYaxis()->SetRangeUser(0., 850.);
		hCorrSim[i]->GetYaxis()->SetNdivisions(505);
		hCorrSim[i]->GetYaxis()->SetTitle("");

		hCorrSim[i]->Draw("");
		hCorrExp[i]->Draw("E same");
		hCorrInput[i]->Draw("same");
	}

	c2->SaveAs("figures/GSepsilonTright7590.eps");

	TCanvas *c3 = new TCanvas();
	c3->ToggleEditor();
	c3->SetWindowSize(800, 1227);
	c3->Divide(2, 3, .001, .001);

	TFile *fr2 = new TFile("figures/PRCthetaA.root");

	TH1F *hAlphaExp[6];
	TH1F *hAlphaSim[6];
	TH1F *hAlphaInput[6];

	TString hName;

	for (Int_t i = 0; i < 6; i++) {
		c3->cd(i+1);

		hName.Form("hethetaAT1_%d_7590", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaExp[i] = new TH1F(*hCurr);

		hName.Form("hsthetaAT1_%d_7590", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaSim[i] = new TH1F(*hCurr);

		hName.Form("hithetaAT1_%d_7590", i);
		hCurr = (TH1F*)fr2->Get(hName.Data());
		hAlphaInput[i] = new TH1F(*hCurr);

		hAlphaInput[i]->SetLineWidth(2);
		hAlphaSim[i]->SetTitle("");
		hAlphaSim[i]->GetXaxis()->SetNdivisions(506);
		hAlphaSim[i]->GetXaxis()->SetLabelSize(0.07);
		hAlphaSim[i]->GetXaxis()->SetLabelOffset(0.002);
		hAlphaSim[i]->GetXaxis()->SetTitleSize(0.08);
		hAlphaSim[i]->GetXaxis()->SetTitleOffset(0.74);

		hAlphaSim[i]->GetYaxis()->SetRangeUser(0., 290.);
		hAlphaSim[i]->GetYaxis()->SetTitle("");

		hAlphaSim[i]->Draw("");
		hAlphaExp[i]->Draw("E same");
		hAlphaInput[i]->Draw("same");
	}


	c3->SaveAs("figures/GSThetaAright7590.eps");

}
