//#include "TFile.h"
//#include "TCanvas.h"
//#include "TH1F.h"

void figSpectra()
{

	TFile *fr = new TFile("figures/spectra.root", "READ");

//	fr->ls();

	TH1F *hExp[4];
	TH1F *hSim[4];

	TH1F *hCurr = 0;

	TString heName;
	TString hsName;

	hCurr = (TH1F*)fr->Get("heSpectrum4560");
	hExp[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("heSpectrum6075");
	hExp[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("heSpectrum7590");
	hExp[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("heSpectrum90120");
	hExp[3] = new TH1F(*hCurr);


	hCurr = (TH1F*)fr->Get("hsSpectrum4560");
	hSim[0] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hsSpectrum6075");
	hSim[1] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hsSpectrum7590");
	hSim[2] = new TH1F(*hCurr);
	hCurr = (TH1F*)fr->Get("hsSpectrum90120");
	hSim[3] = new TH1F(*hCurr);



	TCanvas *c1 = new TCanvas();
	c1->ToggleEditor();
//	c1->SetWindowSize(800, 1200);
	c1->SetWindowSize(800, 800);
	c1->Divide(2, 2, .001, .001);


	for (Int_t i = 0; i < 4; i++) {
		c1->cd(i+1);

		hExp[i]->SetTitle("");
		hSim[i]->SetTitle("");

		hSim[i]->Draw("");
		hExp[i]->Draw("E same");
	}

//	c1->SaveAs("figures/spectra.eps");


	TCanvas *c2 = new TCanvas();
	c2->ToggleEditor();
	c2->SetWindowSize(800, 800);
	c2->Divide(2, 2, .001, .001);

	TH1F *diff[4];

	for (Int_t i = 0; i < 4; i++) {
		c2->cd(i+1);

		diff[i] = new TH1F(*hExp[i]);
		diff[i]->Add(hSim[i], -1);
		diff[i]->Draw();
		diff[i]->GetXaxis()->SetTitle("");
		diff[i]->GetYaxis()->SetTitle("");
//		Double_t max = diff[i]->GetYaxis()->GetXmax();
		diff[i]->GetYaxis()->SetRangeUser(-100, 3500);
	}

	c2->SaveAs("figures/spectraDiff.eps");

}
